> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notification Preferences



## OpenAPI

````yaml /api-reference/openapi.json get /v1/notification/preferences
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/notification/preferences:
    get:
      tags:
        - Notifications
      summary: Get Notification Preferences
      operationId: get_notification_preferences_v1_notification_preferences_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/NotificationPreferenceResponse'
                type: array
                title: >-
                  Response Get Notification Preferences V1 Notification
                  Preferences Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    NotificationPreferenceResponse:
      properties:
        key:
          $ref: '#/components/schemas/PreferenceKey'
        scope:
          type: string
          enum:
            - account
            - project
          title: Scope
        category:
          type: string
          enum:
            - usage
            - billing
            - team
            - security
            - operational
            - product
          title: Category
        group:
          type: string
          title: Group
        email_enabled:
          type: boolean
          title: Email Enabled
      type: object
      required:
        - key
        - scope
        - category
        - group
        - email_enabled
      title: NotificationPreferenceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PreferenceKey:
      type: string
      enum:
        - api_key_expiring
        - approaching_minutes_limit
        - calls_queued_limit_reached
        - calls_rejected_queue_full
        - knowledge_storage_limit_reached
        - minutes_exhausted
        - payment_card_removed
        - payment_failed
        - phone_number_released
        - plan_change_applied
        - plan_downgrade_scheduled
        - security
        - subscription_cancelled
        - usage_based_billing_started
        - verification_results
        - workflow_limit_reached
      title: PreferenceKey
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.